Neuer Bereich: Plugins made by Boxpirates - Plugins die direkt hier aus unserem Board kommen



[Plugin] Perfect-Privacy Manager

    This site uses cookies. By continuing to browse this site, you are agreeing to our use of cookies. More details

    #WirBleibenZuhause
    Hilf mit, das Coronavirus zu stoppen
    1. Achte auf Deine Mitmenschen
    2. Halte Abstand zu anderen
    3. Wasche Deine Hände häufig
    4. Huste und Niese in Deine Armbeuge
    5. Berühre Dein Gesicht nicht
    6. Halte Dich an die gültige Allgemeinverfügung

    Mehr Infos vom Bundesministerium für Gesundheit hier!
    Wir danken allen, die in dieser Krise Unglaubliches leisten.

    • [Plugin] Perfect-Privacy Manager

      Hallo Community,

      ich habe mir für den OpenVPN Provider Perfect-Privacy ein Plugin erstellt, so muss man selbst nicht mehr die Config's anpassen oder über FTP tauschen.
      Um das Plugin nutzen zu können, muss man aber einen Acc bei Perfect-Privacy haben.
      Es handelt sich hier um ein Hobby Projekt, bin auch kein Programmierer also kann es auch mal zu Probleme kommen.

      pp_cascade.jpg

      Funktionen die man im Menü Konfigurieren kann:
      - OpenVPN Autostart

      - Default DNS Server
      Werden automatisch gesichert, könne aber im Menü angepasst werden und auch gesetzt werden

      - Perfect-Privacy DNS Server können frei gewählt werden (optional)
      Eine resolv-update-conf ist im Plugin mit dabei, es werden auch immer die Perfect-Privacy DNS Server genutzt.

      - Cascadierte Verbindung bis zu 2 Hop's
      Man muss jetzt nicht mehr im Menü seine 2 Hops wählen, sondern einfach in der Server Liste seine Hops wählen.
      Hop 1 Selectieren und OK drücken, dann Hop 2 Selectieren und wieder OK drücken, nun baut sich die Verbindung auf.
      Im Menü kann man noch den Cascade Check aktivieren, dieser Check startet automatisch nach einem Neustart oder Gui-Neustart.
      Wenn ihr Cascade aktiviert habt, dann überprüft der Check diese, wenn keine Cascadierte Verbindung besteht dann wird diese
      neu gestartet.
      Ihr könnt auch noch eine Verzögerung einstellen, so das der Check nicht zu früh auslöst.

      - IPtables kann man auch aktivieren (leider nicht bei allen Boxen weil kernel-module-xt-multiport und kernel-module-xt-conntrack fehlt)
      Iptables, kernel-module-xt-multiport und kernel-module-xt-conntrack wird erst installiert wenn ihr IPtables im Menü aktiviert.
      Wenn die Pakete nicht installiert werden können, bekommt man eine Fehlermeldung was nicht installiert werden konnte.

      - Config's TCP oder UDP und AES-256-CBC oder AES-128-CBC

      Vor dem ersten Start des Plugins, Bitte OpenVPN stoppen, so dass auch die richtigen Default DNS Server gesichert werden.
      Jedes mal wenn ihr das Menü beendet, dann werdet ihr auch immer gefragt ob neue Configs's geladen werden sollen.
      Also nach Neuinstallation oder Update müsst ihr erst die Config's laden.

      Hinweise zur OE2.0 Version:
      - Bei VTI funktioniert der Autostart von der Cascade nicht, das liegt daran das die Box beim Booten im Jahr 1970 startet
      Darum verzögert sich der Neustart auch um 20 sec.
      Es wird dann eine Normale OpenVPN Verbindung mit Hop 1 aufgebaut.

      Hinweise zur OE2.5/OE2.6 Version:
      - Getestete Image Original Unstable, Merlin, Newnigma2 und Oozoon auf einer DM9x0, 820 und 7080
      - Bei der Installation des Plugins wird ein Start Script vom connman angepasst, so das der DNS Proxy deaktiviert wird.

      Installation:
      Pakete je nach OE auf die Box nach /tmp FTPen

      OE2.0
      enigma2-plugin-extensions-perfectprivacy_xxx_all.ipk
      python-beautifulsoup_4-4.8.0_all.ipk

      OE2.5 - >
      ACHTUNG ACHTUNG
      Es ist wichtig das Plugin erst zu deinstallieren und einen Neustart ausführen, erst ab Version 1.4.0 kann man es wie üblich Updaten.

      enigma2-plugin-extensions-perfectprivacy_xxx.deb
      python-beautifulsoup4_4-4.8.0.deb

      DreamBox One
      enigma2-plugin-extensions-perfectprivacy_xxx.deb
      python-beautifulsoup4_4.8.0-r0.0_arm64.deb (Danke @pclin hierfür)


      Im Telnet oder SSH folgendes eingeben:
      OE2.

      Source Code

      1. opkg update && opkg install /tmp/*.ipk



      OE 2.0 python-beautifulsoup:

      Source Code

      1. opkg update && opkg install python-beautifulsoup
      oder python-beautifulsoup4:

      Source Code

      1. opkg update && opkg install python-beautifulsoup4
      OpenATV --> python-beautifulsoup
      VTI --> python-beautifulsoup4


      OE2.5 ->


      Source Code

      1. apt-get update
      2. dpkg -i /tmp/*.deb
      3. apt-get -f install

      OE2.5 -> python-beautifulsoup4

      Source Code

      1. apt-get update && apt-get install python-beautifulsoup4

      Achtung an die VTI Nutzer, wer im Menü nur die Fehlermeldung

      Source Code

      1. Login failed!
      2. Please check login data
      bekommt und die OpenVpn Verbindung trotzdem aufgebaut wird, der muss noch weitere Pakete installieren.
      1- python-webencodings_0.5.1_all.ipk
      2- python-html5lib_1.0.1_all.ipk
      Diese Pakete habe ich unten bereitgestellt.

      Deb Version und IPTables:
      Da manche Image die Pakte für IPTables nicht mehr anbieten, könnt ihr diese Pakte von Newnigma2 nutzen.

      DM 7080 mipsel.deb:
      kernel-module-xt-conntrack_3.4-r1.8_mipsel.deb
      kernel-module-xt-multiport_3.4-r1.8_mipsel.deb

      DM900 armhf.deb:
      kernel-module-xt-conntrack_3.14-r0.12_armhf.deb
      kernel-module-xt-multiport_3.14-r0.12_armhf.deb

      DM920 armhf.deb:
      kernel-module-xt-conntrack_3.14-r0.11_armhf.deb
      kernel-module-xt-multiport_3.14-r0.11_armhf.deb

      Update Verlauf

      Version 1.4.0
      - Config-Screen überarbeitet
      - deb Version, hier gab es mehrere Fixes

      Version 1.3.9
      - VPN Status Abfrage überarbeitet
      - Config-Screen VirtualKeyBoard hinzugefügt

      Version 1.3.7
      - deb dpkg Installation Fix

      Version 1.3.6
      - deb Installation Fix
      - diverse kleinere Fixes

      Version 1.3.4
      - deb Fix

      Version 1.3.2
      - Cascadierte Verbindung überarbeitet
      - Landesflaggen Fix
      - Neue Gui-Oberfläche
      - Source etwas aufgeräumt
      - DNS Server Liste aktualisiert
      - VTI Installation Fix --- python-robotparser


      Viel Spaß damit :winken:
      Files

      Post was edited 23 times, last by murxer ().


    • Neue Version
      - Automatischen Start nach beenden des Menüs entfernt
      - reneg-sec kann im Menü eingestellt werden

      Edit by Anz: War mal so frei und habe dir die Dateien in den ersten Post verschoben ;)

      Download in Post 1

      Post was edited 2 times, last by Anz ().


    • Thank you for answer.
      Must be have vpn pay crendentials fron any premium server or only from perfect privacy vpn?
      When I have OpenVPN plugin installed ask me to load config.
      Thank you.

    • The plugin is only for perfect privacy
      Open the Plugin menu and enter your user and password.
      Then press OK and answer the question with yes.

      Config automatically loaded for all Servers.
      Now you can choose a server

    • hallo murxer, könnestdu mal eine neue deb Version machen ,es gab anscheinend ein update, somit lässt sich die alte Version bei mir nicht mehr über Telnet installieren, hab das nn2 auf meiner dm920.
      Lg

    • Hallo Mohni,
      was kommt für eine Fehlermeldung im Telnet, habe kein NN2 mehr installiert.
      Über Barry Allen funktioniert kein NN2.
      Hast du auch beide Befehle eingegeben?

      Source Code

      1. dpkg -i /tmp/*.deb
      2. apt-get update && apt-get -y -f install

      LG Murxer

    • Update 1.2.6

      Perfect- Privacy hat seine Home-Page überarbeitet, darum vielen viele Funktionen im Plugin aus.

      - Server Status Fix
      - Login/Laufzeit Abfrage Fix
      - Config Downloader Fix
      - Landesflagge Spanien hinzugefügt

      Da ich selbst keine DM 920 mehr besitze, kann ich die deb Version nicht testen.
      Ich werde aber die deb Version weiterhin Supporten, aber dazu brauch ich einen Tester.
      Also Bitte bei mir melden, der die deb Version mal testen möchte.

      LG Murxer
      Files

    • Update 1.2.8
      - Config-Generator überarbeitet

      Die deb Version funktioniert jetzt auch wieder.

      Danke an die Helfer
      Files

    • Update 1.3.0:
      - Landesflagge Fix
      - Server Status Fix

      Achtung an die deb Nutzer, ich Bitte euch die alte Version erst zu Deinstallieren.

      Source Code

      1. apt-get remove enigma2-plugin-extensions-perfectprivacy
      2. apt-get autoremove


      Jetzt die Box Bitte neu starten, dann erst die Neue Version installieren.
      Installation aus dem /tmp:

      Source Code

      1. dpkg -i /tmp/enigma2-plugin-extensions-perfectprivacy_1.3.0.deb
      2. apt-get -f install
      Jetzt ist es wieder wichtig das ihr erst einen neu Start der Box ausführt.

      LG murxer
      Files

    • Update 1.3.1:
      -Landesflagge Fix

      Achtung an die deb Nutzer, ich Bitte euch die alte Version erst zu Deinstallieren.

      Source Code

      1. apt-get remove enigma2-plugin-extensions-perfectprivacy
      2. apt-get autoremove

      Jetzt die Box Bitte neu starten, dann erst die Neue Version installieren.
      Installation aus dem /tmp:

      Source Code

      1. dpkg -i /tmp/enigma2-plugin-extensions-perfectprivacy_1.3.1.deb
      2. apt-get -f install
      Jetzt ist es wieder wichtig das ihr erst einen neu Start der Box ausführt.

      Wurde auf DM7080, DM900, DM920 & DMOne und auf Vu Uno4k getestet.

      @Anz könntest du Bitte die neue Version in Post 1 verschieben.
      Ich musste sie wieder in eine zip packen, da ich immer ein Meldung bekomme das diese Endung nicht erlaubt ist.
      Erlaubte Dateiendungen: 7z, bmp, gif, gz, jpeg, jpg, log, pdf, png, rar, tar, tar.gz, txt, zip

      LG murxer


      --edit by reiter--

      update im ersten post

      Post was edited 1 time, last by Reiter ().


    • neue version im ersten post
      hab die anhänge von @murxer verschoben...
      komisch das du die datein packen musst... hab sie ganz normal im post 1 eingefügt
      Gruß Reiter

      Fragen gehören ins Forum und nicht in mein Postfach




      VU+ Forum -- Box - Pirates
      EMM von Hand schreiben
      V14 + HD02 mit Easymouse am RaspiServer